Description

Hi,

Since v3.xx, silent install does not work anymore.

When I execute setup.exe /S (with administrator rights), I can see a process setup.exe (32 bits) in the task manager but using 0% of

processor.

Nothing happens untill I kill the process (or restart the computer).

It was working fine with v2.18.15 and below.

I'm using Windows 10 64 bits and I tested with many v3 64 bit installation packages.

Thank you for your help.

Jeff

History

#1 - 2018-08-20 06:24 PM - Giovanni Manghi

- Status changed from Open to Feedback

so it stopped to work from 2.18.16 and above?

#2 - 2018-08-22 08:38 AM - Jeff L

Hi,

I'm not sure when it stopped working, I'm currently deploying v2.18.15 and it's working fine.

I tried with several packages after v3, and none of them are working.

Thank you,

Jeff

#3 - 2018-08-22 09:46 AM - Giovanni Manghi
- Status changed from Feedback to Open

#4 - 2018-09-24 02:47 AM - Jürgen Fischer

- Resolution set to not reproducable

- Status changed from Open to Closed

#5 - 2018-11-06 12:28 PM - Jeff L

Hi,

Well, problem is still not solved for me, I tried with v3.4.0 and this morning with 3.4.1.

It looks like it's all right in a DOS window, but not in PDQ Deploy (some kind of a SCCM).

Files are created in C:\Program Files\QGIS 3.4\ (total of 1.7 GB) but shortcuts are not created on desktop.

Installer is still running in background ("setup (32 bits)") using 0% of processor (Note: I renamed executable "setup.exe" for convenience)

I can see "QGIS 3.4.1 'Madeira'" in Windows Programs and features list.

Any help would be appreciated, as it's really annoying :(

Thank you,

Jeff

#6 - 2018-11-29 04:39 PM - Jeff L

Still not solved in v3.4.2.

It looks like I'm not the only one :

https://georezo.net/forum/viewtopic.php?id=105207

And still no answer :'(

#7 - 2019-02-11 03:46 PM - Jonathan McCardell

Jeff L wrote:

Still not solved in v3.4.2.

It looks like I'm not the only one :

https://georezo.net/forum/viewtopic.php?id=105207

And still no answer :'(

If PDQ allows powershell, you can use 

cmd /c setup.exe /S To perform a silent unattended installation

Uninstall can use the same cmd /c uninstall.exe /S to call the baked in uninstall that gets placed into the Program Files directory for QGIS

Hope this helps.
#8 - 2019-02-13 12:16 PM - Jeff L

Hi Jonathan,

Thank you for your answer !

I just found the solution a few days ago :)

Install step must be run as "Interactive session".

(From PDQ online help : "_Deploy User (Interactive) : Executes deployments that include both silent and interactive steps. This setting is the same as

Deploy User with one important exception—the Windows process running the deployment is run in an interactive session. 

This setting is most appropriately used for individual deployments that require user input, but the overall process still requires Administrator rights that

logged on users may not have. Because these types of deployments are more specialized and because running the deployment in interactive mode

requires more processing resources, it is recommended that you apply this setting only as needed at the Step level._")

Something must have changed between v2 and v3 installer, but no matter now, it's finally working :)
